j_who.d(1m)

NAME
j_who.d - trace Java calls by process using DTrace.

SYNOPSIS
j_who.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0). The argument list is truncated at 55 characters (up to 80 is easily available). To easily read the full argument list, use other system tools; on Solaris use "pargs PID".

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_who.d

FIELDS

PID Process ID of Java

UID User ID of the owner

CALLS
    Number of calls made (a measure of activity)

ARGS
    Process name and arguments

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)